html,
body {
    /*height: 100vh;*/
    height: 100dvh;
    margin: 0;
    overflow: hidden;
}
body {
    display: grid;
    grid-template-rows: calc(100dvh - 4rem) 4rem;
    font-family: system-ui, sans-serif;
}
canvas {
    grid-row: 1;
    grid-column: 1;
    --canvas-z-index: -1;
    width: 100%;
    height: auto;
    object-fit: contain;
    background: black;
    touch-action: none;
    z-index: var(--canvas-z-index);
}
.login-bg{
    background:url(../images/login_bg.jpeg) no-repeat center;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
}
.login{
    width: 420px;
    padding: 40px;
    background-color: rgba(255,255,255,0.7);
    border-radius: 4px;
    box-sizing: border-box;
    position: fixed;
    left: 50%;
    top: 50%;
    margin: -190px 0 0 -210px;
}
.login a.logo{
    display: block;
    height: 58px;
    width: 167px;
    margin: 0 auto 30px auto;
    background-size: 167px 42px;
}
.login .message {
    margin: 10px 0 0 -58px;
    padding: 18px 10px 18px 60px;
    background: linear-gradient(to left, rgba(238,63,77,0.8), #1E90FF) !important;
    /*background: rgba(30,144,255,0.8);*/
    position: relative;
    color: #fff;
    font-size: 16px;
}
.login #darkbannerwrap {
    background: url(../images/aiwrap.png);
    width: 18px;
    height: 10px;
    margin: 0 0 20px -58px;
    position: relative;
}

.login input[type=text],
.login input[type=file],
.login input[type=password],
.login input[type=email], select {
    vertical-align: middle;
    border-radius: 3px;
    height: 50px;
    padding: 0 16px;
    font-size: 14px;
    color: #000000;
    /*outline:none;*/
    width:100%;
    box-sizing: border-box;
    background-color: rgba(255,255,255,0.5);
    margin-top: 20px;
}
.login input[type=text]:focus,
.login input[type=file]:focus,
.login input[type=password]:focus,
.login input[type=email]:focus, select:focus {
    /*border: 1px solid #1E9FFF;*/
}
.login input[type=submit],
.login input[type=button]{
    display: inline-block;
    vertical-align: middle;
    padding: 12px 24px;
    margin: 20px auto 0 auto;
    font-size: 18px;
    line-height: 24px;
    text-align: center;
    white-space: nowrap;
    cursor: pointer;
    color: #ffffff;
    background: rgba(30,144,255,0.8);
    border-radius: 3px;
    border: none;
    -webkit-appearance: none;
    outline:none;
    width:100%;
}
